<div
  class="flex flex-col relative border border-[#86623e] bg-[#fcebca] rounded w-[285px]"
>
  <div class="flex flex-wrap -ml-px -mt-px -mr-1">
    <div
      *ngFor="let trooper of opponent.troopers; let index = index"
      class="w-1/4"
      [class.-ml-px]="index % 4 != 0"
      [class.-mt-px]="index > 3"
    >
      <app-trooper-cell [trooper]="trooper"></app-trooper-cell>
    </div>
  </div>

  <h2 class="font-bold text-[#6b4320] text-center mt-2 mb-3 text-sm">
    <app-army-name [user]="opponent"></app-army-name>
  </h2>

  <div class="flex justify-between">
    <div
      class="bg-[#e2c066] w-20 text-sm rounded ml-2 mb-2 p-1 flex items-center justify-center"
    >
      <img src="/assets/images/powers.webp" alt="" class="w-5 h-5 mr-1" />

      <span class="text-[#6b4320]">{{ opponent.power }}</span>
    </div>

    <div
      class="relative mr-1 mb-1 cursor-pointer"
      [class.disabled-btn]="lock"
      (click)="onClick($event, opponent.armyName)"
    >
      <img src="/assets/images/buttons/button5.webp" alt="" />
      <h2 class="action-btn">Attaquer !</h2>
    </div>
  </div>
</div>
